import { request } from '@/api/_service'

const BASE = 'device_management/device_check/device_check_record/'

function params (method, data = {}) { return { method, platform: 'background', ...data } }

export function getList (data) {
  return request({ url: BASE + 'list', method: 'get', params: params('device_management_device_check_device_check_record_list', data) })
}

export function createItem (data) {
  return request({ url: BASE + 'create_record', method: 'post', data: params('device_management_device_check_device_check_create_record', data) })
}

export function editItem (data) {
  return request({ url: BASE + 'edit_record', method: 'post', data: params('device_management_device_check_device_check_edit_record', data) })
}
